# This file provides the supplemntary analyses for 
# Gleditsch and Ruggeri JPR
# 
# Please direct all questions to Kristian Skrede Gleditsch
# at ksg@essex.ac.uk
#
# This version: 8 December 2009

# Set working directory
setwd("C:/work/work14/oppstruct/")

glerug <- read.table("glerug.asc",header=T)

# Model 3 with Sigornio and Carter time dependence approach
m3.sc <- glm(onset ~ log(rgdp96pc) 
    +  polityksg 
    + I(POLITY==(-77)) 
    + I(POLITY==(-88))
    + I(PARCOMP==0 | PARCOMP==1) 
    + I(PARREG==1 | PARREG==2)    
    + log(pop) 
    + py + I(py^2) + I(py^3) 
    + I(irrtrans>0 | itlag>0) ,
    family=binomial, data=glerug, na.action=na.omit,model=T) 
summary(m3.sc)


# Model 3 with Beck, Katz, and Tucker
library(splines)
# Generate spline basis vectors using knots=1,4,7.
k <- c(1,4,7)
glerug$basis <- ns(glerug$py,knots=k)

m3.bkt <- glm(onset ~ log(rgdp96pc) 
    +  polityksg 
    + I(POLITY==(-77)) 
    + I(POLITY==(-88))
    + I(PARCOMP==0 | PARCOMP==1) 
    + I(PARREG==1 | PARREG==2)    
    + log(pop) 
    + basis-1
    + I(irrtrans>0 | itlag>0) ,
    family=binomial, data=glerug, na.action=na.omit,model=T) 
summary(m3)
summary(m3.sc)
summary(m3.bkt)
